/*! \file delay.h
 *  \author tkl
 *  \date Feb 16, 2012
 *  \brief Header file of the architecture independent delay tool.
 */
#ifndef DELAY_H_
#define DELAY_H_

//-----------------------------------------------------------------------------
/*! \brief Loop for microseconds.
 *  \param delay_us microseconds to loop.
 */
void delay_us(uint32_t delay_us);

//-----------------------------------------------------------------------------
/*! \brief Loop for milliseconds.
 *  \param delay_ms milliseconds to loop.
 */
void delay_ms(uint32_t delay_ms);

#endif /* DELAY_H_ */
